<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: convertchemtable_defs::configfile Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceconvertchemtable__defs.html">convertchemtable_defs</a></li><li class="navelem"><a class="el" href="structconvertchemtable__defs_1_1configfile.html">configfile</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structconvertchemtable__defs_1_1configfile-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">convertchemtable_defs::configfile Type Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>contains data of the input config file  
 <a href="structconvertchemtable__defs_1_1configfile.html#details">More...</a></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for convertchemtable_defs::configfile:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structconvertchemtable__defs_1_1configfile__coll__graph.png" border="0" usemap="#convertchemtable__defs_1_1configfile_coll__map" alt="Collaboration graph"/></div>
<map name="convertchemtable__defs_1_1configfile_coll__map" id="convertchemtable__defs_1_1configfile_coll__map">
<area shape="rect" id="node2" href="structnga__io__defs_1_1nga__file__t.html" title="{nga_io_defs::nga_file_t\n|+ name\l+ sd_name\l+ domain\l+ physics\l+ type\l+ fh\l+ version\l+ preamble_i\l+ offset\l+ nga_file\l+ byte_swap\l+ ctag1\l+ ctag2\l+ ctag3\l+ byte_swap_keyword\l|}" alt="" coords="6,5,162,288"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7df06599366c105ab54808395fa0b6f3"><td class="memItemLeft" align="right" valign="top">character(len=str_long)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structconvertchemtable__defs_1_1configfile.html#a7df06599366c105ab54808395fa0b6f3">file_name</a></td></tr>
<tr class="separator:a7df06599366c105ab54808395fa0b6f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8b0a88afc1643515df7592352089cb8"><td class="memItemLeft" align="right" valign="top">character(len=str_long)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structconvertchemtable__defs_1_1configfile.html#ab8b0a88afc1643515df7592352089cb8">outputfile_name</a></td></tr>
<tr class="separator:ab8b0a88afc1643515df7592352089cb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4356e3720b921d4bfbf04fa91653cb96"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structnga__io__defs_1_1nga__file__t.html">nga_file_t</a>)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structconvertchemtable__defs_1_1configfile.html#a4356e3720b921d4bfbf04fa91653cb96">nga</a></td></tr>
<tr class="separator:a4356e3720b921d4bfbf04fa91653cb96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d988c217d98048ea0496ba4df23e87b"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structconvertchemtable__defs_1_1configfile.html#a2d988c217d98048ea0496ba4df23e87b">dosorting</a></td></tr>
<tr class="separator:a2d988c217d98048ea0496ba4df23e87b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6506f1693ecd635465a73d5d91506f3d"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structconvertchemtable__defs_1_1configfile.html#a6506f1693ecd635465a73d5d91506f3d">table_ver</a></td></tr>
<tr class="separator:a6506f1693ecd635465a73d5d91506f3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32520a35f10908c67d31147c4e1b7d0f"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structconvertchemtable__defs_1_1configfile.html#a32520a35f10908c67d31147c4e1b7d0f">ntablefiles</a></td></tr>
<tr class="separator:a32520a35f10908c67d31147c4e1b7d0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a978fd5961dc7e649093271d8a2440518"><td class="memItemLeft" align="right" valign="top">character(len=str_long), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structconvertchemtable__defs_1_1configfile.html#a978fd5961dc7e649093271d8a2440518">tablefile_name</a> =&gt; null()</td></tr>
<tr class="separator:a978fd5961dc7e649093271d8a2440518"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>contains data of the input config file </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a2d988c217d98048ea0496ba4df23e87b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d988c217d98048ea0496ba4df23e87b">&#9670;&nbsp;</a></span>dosorting</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical convertchemtable_defs::configfile::dosorting</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7df06599366c105ab54808395fa0b6f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7df06599366c105ab54808395fa0b6f3">&#9670;&nbsp;</a></span>file_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_long) convertchemtable_defs::configfile::file_name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4356e3720b921d4bfbf04fa91653cb96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4356e3720b921d4bfbf04fa91653cb96">&#9670;&nbsp;</a></span>nga</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structnga__io__defs_1_1nga__file__t.html">nga_file_t</a>) convertchemtable_defs::configfile::nga</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a32520a35f10908c67d31147c4e1b7d0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32520a35f10908c67d31147c4e1b7d0f">&#9670;&nbsp;</a></span>ntablefiles</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer convertchemtable_defs::configfile::ntablefiles</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab8b0a88afc1643515df7592352089cb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8b0a88afc1643515df7592352089cb8">&#9670;&nbsp;</a></span>outputfile_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_long) convertchemtable_defs::configfile::outputfile_name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6506f1693ecd635465a73d5d91506f3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6506f1693ecd635465a73d5d91506f3d">&#9670;&nbsp;</a></span>table_ver</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer convertchemtable_defs::configfile::table_ver</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a978fd5961dc7e649093271d8a2440518"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a978fd5961dc7e649093271d8a2440518">&#9670;&nbsp;</a></span>tablefile_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_long), dimension(:), pointer convertchemtable_defs::configfile::tablefile_name =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="convertTable__defs_8f90.html">convertTable_defs.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
